## wildfly:deploy-artifact

Full name:

org.wildfly.plugins:wildfly-maven-plugin:5.0.0.Beta5:deploy-artifact

Description:

Deploys an arbitrary artifact to the WildFly application server

Attributes:

- Requires a Maven project to be executed.
- Requires dependency resolution of artifacts in scope: `test`.
- The goal is thread-safe and supports parallel builds.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
`<artifactId>` | `String` | `-` | The artifact to deploys artifactId
`<authenticationConfig>` | `URL` | `-` | A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server. User Property: `wildfly.authConfig` Alias: `authentication-config`
`<classifier>` | `String` | `-` | The artifact to deploys classifier. Note that the classifier must also be set on the dependency being deployed.
`<force>` | `boolean` | `-` | Specifies whether force mode should be used or not. If force mode is disabled, the deploy goal will cause a build failure if the application being deployed already exists. Default: `true` User Property: `deploy.force`
`<groupId>` | `String` | `-` | The artifact to deploys groupId
`<hostname>` | `String` | `-` | Specifies the host name of the server where the deployment plan should be executed. Default: `localhost` User Property: `wildfly.hostname`
`<id>` | `String` | `-` | Specifies the id of the server if the username and password is to be retrieved from the settings.xml file User Property: `wildfly.id`
`<name>` | `String` | `-` | Specifies the name used for the deployment. User Property: `wildfly.deployment.name`
`<password>` | `String` | `-` | Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password, User Property: `wildfly.password`
`<port>` | `int` | `-` | Specifies the port number the server is listening on. Default: `9990` User Property: `wildfly.port`
`<protocol>` | `String` | `-` | The protocol used to connect to the server for management. User Property: `wildfly.protocol`
`<runtimeName>` | `String` | `-` | The runtime name for the deployment. In some cases users may wish to have two deployments with the same `runtime-name` (e.g. two versions of `example.war`) both available in the management configuration, in which case the deployments would need to have distinct `name` values but would have the same `runtime-name`. User Property: `wildfly.deployment.runtime.name` Alias: `runtime-name`
`<serverGroups>` | `List<String>` | `-` | The server groups the content should be deployed to. User Property: `wildfly.serverGroups` Alias: `server-groups`
`<skip>` | `boolean` | `-` | Set to `true` if you want the deployment to be skipped, otherwise `false`. Default: `false` User Property: `wildfly.skip`
`<timeout>` | `int` | `-` | The timeout, in seconds, to wait for a management connection. Default: `60` User Property: `wildfly.timeout`
`<username>` | `String` | `-` | Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username, User Property: `wildfly.username`

### Parameter Details

#### <artifactId>

The artifact to deploys artifactId

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`

#### <authenticationConfig>

A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server.

- Type: `java.net.URL`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.authConfig`
- Alias: `authentication-config`

#### <classifier>

The artifact to deploys classifier. Note that the classifier must also be set on the dependency being deployed.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`

#### <force>

Specifies whether force mode should be used or not.

If force mode is disabled, the deploy goal will cause a build failure if the application being deployed already exists.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `deploy.force`
- Default: `true`

#### <groupId>

The artifact to deploys groupId

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`

#### <hostname>

Specifies the host name of the server where the deployment plan should be executed.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.hostname`
- Default: `localhost`

#### <id>

Specifies the id of the server if the username and password is to be retrieved from the settings.xml file

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.id`

#### <name>

Specifies the name used for the deployment.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.deployment.name`

#### <password>

Specifies the password to use if prompted to authenticate by the server.

If no password is specified and the server requests authentication the user will be prompted to supply the password,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.password`

#### <port>

Specifies the port number the server is listening on.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.port`
- Default: `9990`

#### <protocol>

The protocol used to connect to the server for management.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.protocol`

#### <runtimeName>

The runtime name for the deployment.

In some cases users may wish to have two deployments with the same `runtime-name` (e.g. two versions of `example.war`) both available in the management configuration, in which case the deployments would need to have distinct `name` values but would have the same `runtime-name`.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.deployment.runtime.name`
- Alias: `runtime-name`

#### <serverGroups>

The server groups the content should be deployed to.

- Type: `java.util.List<java.lang.String>`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.serverGroups`
- Alias: `server-groups`

#### <skip>

Set to `true` if you want the deployment to be skipped, otherwise `false`.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.skip`
- Default: `false`

#### <timeout>

The timeout, in seconds, to wait for a management connection.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.timeout`
- Default: `60`

#### <username>

Specifies the username to use if prompted to authenticate by the server.

If no username is specified and the server requests authentication the user will be prompted to supply the username,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.username`